# Uses of Class
org.eclipse.ui.internal.PendingSyncExec

Packages that use PendingSyncExec
Package
Description
org.eclipse.ui.internal

## Uses of PendingSyncExec in org.eclipse.ui.internal

Fields in org.eclipse.ui.internal declared as PendingSyncExec
Modifier and Type
Field
Description
`protected PendingSyncExec`
UILockListener.`currentWork`
`protected PendingSyncExec[]`
UILockListener.Queue.`elements`
Methods in org.eclipse.ui.internal that return PendingSyncExec
Modifier and Type
Method
Description
`PendingSyncExec`
UILockListener.Queue.`remove()`
Remove the next semaphore to be woken up.
Methods in org.eclipse.ui.internal with parameters of type PendingSyncExec
Modifier and Type
Method
Description
`void`
UILockListener.Queue.`add(PendingSyncExec element)`
Add the semaphore to the queue.